Summary:	X.org video driver for AMD Geode integrated graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla zintegrowanych układów graficznych AMD Geode
Name:		xorg-driver-video-geode
Version:	2.11.17
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-geode-%{version}.tar.bz2
# Source0-md5:	f2c5131585fff4dae7cd13ea54efb9fd
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.4
BuildRequires:	xorg-xserver-server-devel >= 1.3.0.0
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.3.0.0
Provides:	xorg-driver-video
Obsoletes:	xorg-driver-video-amd < 2.8.0
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for AMD Geode GX (GX2) and LX (GX3) integrated
graphics chipsets.

Note: currently this driver doesn't support Geode GX1 chips by Cyrix
  and NSC.
- NSC Geode (GX2/SCx200/SC1400) chips are supported by
  xorg-driver-video-nsc driver,
- Cyrix Geode MediaGX (GX1) chips are supported by
  xorg-driver-video-cyrix driver.

%description -l pl.UTF-8
Sterownik obrazu X.org dla zintegrowanych układów graficznych AMD
Geode GX (GX2) i LX (GX3).

Uwaga: aktualnie ten sterownik nie obsługuje układów Geode GX1
produkowanych przez firmy Cyrix i NSC. Układy:
- NSC Geode (GX2/SCx200/SC1400) są obsługiwane przez sterownik
  xorg-driver-video-nsc,
- Cyrix Geode MediaGX (GX1) są obsługiwane przez sterownik
  xorg-driver-video-cyrix.

%prep
%setup -q -n xf86-video-geode-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/geode_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/ztv_drv.so
%changelog
* Fri Jul 24 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-geode.git;a=log;h=master

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> fc40973
- updated to 2.11.17

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a62560
- updated to 2.11.16
- removed obsolete xf86SetModeDefaultName patch

* Thu Jan 23 2014 Jan Rękorajski <baggins@pld-linux.org> 5f7fc62
- add missing header for xf86SetModeDefaultName (fix build with -Werror=implicit-function-declaration)
- rel 3

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> 9e9cf2e
- release 2 (by relup.sh)

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> d85ff84
- updated to 2.11.15
- removed obsolete mibstore patch

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 9c5483a
- fix building with xserver 1.14
- rel 2

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> e96ae80
- updated to 2.11.14

* Mon Jun 25 2012 Jan Rękorajski <baggins@pld-linux.org> 0f98f9d
- release 2

* Thu Dec 29 2011 Jakub Bogusz <qboosh@pld-linux.org> c8e101e
- updated to 2.11.13

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 12e3b22
- release 3

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> a450b96
- xorg-driver-video virtual for video drivers
- release 2

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 4f1c82d
- updated to 2.11.12

* Thu Dec 30 2010 Jakub Bogusz <qboosh@pld-linux.org> dfd52e3
- updated to 2.11.11

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 3ec8be1
- updated to 2.11.10

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> c6324f6
- added NEWS to docs
- updated deps
- added hardware notes to descs

* Mon Aug 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 314aa56
- up to 2.11.9

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 543a654
- up to 2.11.8

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 630f2fc
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 451ee7c
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4143bef
- release 2

